Appearance
PATCH
/job/job-execution-exclusion/exclusions/{id}Required scope:
viskan:jobexecutionexclusion:updateUpdate the details of a job execution exclusion and its intervals.
Parameters
Path parameters
id integerThe unique identifier of the exclusion to update.
Request body
JSON
{
"name": "Christmas freeze",
"intervals": {
"added": [
{
"startDateTime": "2026-12-24T00:00:00+01:00",
"endDateTime": "2026-12-26T23:59:59+01:00"
}
],
"modified": [
{
"intervalId": 1,
"startDateTime": "2026-12-24T00:00:00+01:00",
"endDateTime": "2026-12-26T23:59:59+01:00"
}
],
"removed": [
12345
]
},
"jobs": {
"added": [
12345
],
"removed": [
12345
]
}
}
Response
The exclusion was updated successfully.
| Error code | Description |
|---|---|
exclusion-name-cannot-be-blank | The exclusion name cannot be blank. |
exclusion-not-found | The exclusion with the given ID was not found. |
interval-end-before-start | The end date of an interval cannot be before its start date. |
interval-not-found | An interval with the given ID was not found. |